=== debian/changelog ===
ros-noetic-etsi-its-msgs-utils (3.2.0-1focal) focal; urgency=high

  * Merge pull request #76 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/76> from ika-rwth-aachen/feature/sensorinformation-utils
    Add setter functions for SensorInformationContainer
  * Merge branch 'main' into uulm-mcm
  * Merge pull request #74 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/74> from FabianThomsen/feature/var-utils
    Add setters and getters for (co)variances
  * Contributors: Jean-Pierre Busch

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 22 Apr 2025 00:00:00 -0000

ros-noetic-etsi-its-msgs-utils (3.1.0-1focal) focal; urgency=high

  * Merge pull request #67 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/67> from ika-rwth-aachen/update-copyright
    Update copyright
  * Merge pull request #64 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/64> from ika-rwth-aachen/denm-v2
    Support DENM v2 (TS)
  * Merge branch 'main' into denm-v2
  * Merge pull request #65 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/65> from ika-rwth-aachen/improvement/display_spatem_timing_information
    Improvement/display spatem timing information
  * Merge pull request #66 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/66> from ika-rwth-aachen/fix/default-leap-seconds
    Use rbegin() instead of end() to access last element of std::map storing the leap-second insertions
  * Merge remote-tracking branch 'origin/main' into improvement/display_spatem_timing_information
  * Merge pull request #63 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/63> from cubesys-GmbH/fix_mapem_message_id
  * Merge pull request #55 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/55> from ika-rwth-aachen/feature/spat-map-plugin
    RViz Plugin for SPATEM/MAPEM
  * Merge pull request #58 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/58> from ika-rwth-aachen/fix/cam-setter-example
    Fix example for access-functions in README
  * Merge branch 'main' into feature/spat-map-plugin
  * Contributors: Alexander Wilczynski, AlexanderWilczynski, Guido Küppers, Jean-Pierre Busch, Lennart Reiher

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Mon, 17 Feb 2025 00:00:00 -0000

ros-noetic-etsi-its-msgs-utils (3.0.0-1focal) focal; urgency=high

  * Merge pull request #48 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/48> from ika-rwth-aachen/improvement/cpm-codegen-py
    Enable CLASS and SET support in codegen-py
  * Merge pull request #28 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/28> from ika-rwth-aachen/feature/spatem-mapem
    SPATEM/MAPEM Support
  * Contributors: Jean-Pierre Busch, Lennart Reiher

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 10 Dec 2024 00:00:00 -0000

ros-noetic-etsi-its-msgs-utils (2.4.0-1focal) focal; urgency=high

  * Merge pull request #42 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/42> from ika-rwth-aachen/feature/auto-cmake-generation
    Add automatic generation of CMakeLists.txt for msg packages
  * Merge branch 'main' into feature/auto-cmake-generation
  * Merge pull request #44 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/44> from ika-rwth-aachen/improvement/sample-scripts
    Relocate sample scripts
  * Merge branch 'main' into feature/denm-launchfile-transformation
  * Contributors: Jean-Pierre Busch, Lennart Reiher

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 19 Nov 2024 00:00:00 -0000

ros-noetic-etsi-its-msgs-utils (2.3.0-1focal) focal; urgency=high

  * Merge pull request #38 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/38> from ika-rwth-aachen/feature/cpm_utils
    Adding CPM Access-Functions and RViz Plugin; and improve utils package for all message types
  * Contributors: Jean-Pierre Busch

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 15 Oct 2024 00:00:00 -0000

ros-noetic-etsi-its-msgs-utils (2.2.0-1focal) focal; urgency=high

  * Merge pull request #29 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/29> from ika-rwth-aachen/cam-release2
    Add ETSI ITS CAM TS (release2)
  * Merge pull request #2 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/2> from lreiher/fix-converter-memleak
    Resolve conflicts with ika-rwth-aachen/etsi_its_messages and free ret.buffer
  * Merge remote-tracking branch 'ika/main' into fix-converter-memleak
  * Contributors: Jean-Pierre Busch, Lennart Reiher, v0-e

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Thu, 01 Aug 2024 00:00:00 -0000

ros-noetic-etsi-its-msgs-utils (2.1.0-1focal) focal; urgency=high

  * Merge pull request #20 from ika-rwth-aachen/further-msgs
    Switch to rust-based generation and add additional message types
  * Contributors: Jean-Pierre Busch

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 09 Jul 2024 00:00:00 -0000

ros-noetic-etsi-its-msgs-utils (2.0.2-1focal) focal; urgency=high



 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Fri, 31 May 2024 00:00:00 -0000

ros-noetic-etsi-its-msgs-utils (2.0.1-1focal) focal; urgency=high



 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 27 Feb 2024 00:00:00 -0000

ros-noetic-etsi-its-msgs-utils (2.0.0-1focal) focal; urgency=high

  * Merge pull request #5 from ika-rwth-aachen/improvement/satisfy-package-conventions
    Refactoring to satisfy ROS package conventions
  * Contributors: Lennart Reiher

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Fri, 05 Jan 2024 00:00:00 -0000
